#include "defines.h"
#include "oscrn.h"

int SCprints(unchar *mes,unchar *work)
/* オフスクリーン：文字列出力 */
{
unchar c;
	if (SCcheck(work)) return(SCERR1);
	while ((c=*mes++)!=0) {
		if (SCprintc_sub(c,work)) return(SCERR2);
	}
	return(SCOK);
}
